Skip to main content
GET
Retrieves the accounts.

Headers

Authorization
string
required

Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.

Example:

"Bearer bc_1234567890abcdef"

organization-id
string
required

Required if Authorization is a JWT token. The organization ID to operate within.

Query Parameters

onlyInactive
boolean
default:false

Filter to show only inactive accounts

structure
enum<string>
default:tree

Structure type for the accounts list

Available options:
tree,
flat

Response

200 - application/json

The accounts have been successfully retrieved.

id
number
required

The unique identifier of the account

Example:

1

name
string
required

The name of the account

Example:

"Cash Account"

slug
string
required

The slug of the account

Example:

"cash-account"

code
string
required

The code of the account

Example:

"1001"

index
number
required

The index of the account

Example:

1

accountType
string
required

The type of the account

Example:

"bank"

accountTypeLabel
string
required

The formatted account type label

Example:

"Bank Account"

parentAccountId
number
required

The parent account ID

Example:

null

predefined
boolean
required

Whether the account is predefined

Example:

false

currencyCode
string
required

The currency code of the account

Example:

"USD"

active
boolean
required

Whether the account is active

Example:

true

bankBalance
number
required

The bank balance of the account

Example:

5000

bankBalanceFormatted
string
required

The formatted bank balance

Example:

"$5,000.00"

lastFeedsUpdatedAt
object
required

The last feeds update timestamp

Example:

"2024-03-20T10:30:00Z"

lastFeedsUpdatedAtFormatted
string
required

The formatted last feeds update timestamp

Example:

"Mar 20, 2024 10:30 AM"

amount
number
required

The amount of the account

Example:

5000

formattedAmount
string
required

The formatted amount

Example:

"$5,000.00"

plaidItemId
string
required

The Plaid item ID

Example:

"plaid-item-123"

plaidAccountId
string
required

The Plaid account ID

Example:

"plaid-account-456"

isFeedsActive
boolean
required

Whether the feeds are active

Example:

true

isSyncingOwner
boolean
required

Whether the account is syncing owner

Example:

true

isFeedsPaused
boolean
required

Whether the feeds are paused

Example:

false

accountNormal
string
required

The account normal

Example:

"debit"

accountNormalFormatted
string
required

The formatted account normal

Example:

"Debit"

flattenName
string
required

The flatten name with all dependant accounts names

Example:

"Assets: Cash Account"

accountLevel
number
required

The account level in the hierarchy

Example:

2

createdAt
string<date-time>
required

The creation timestamp

Example:

"2024-03-20T10:00:00Z"

updatedAt
string<date-time>
required

The update timestamp

Example:

"2024-03-20T10:30:00Z"